ambari-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Robert Levas <rle...@hortonworks.com>
Subject Re: Kerveros version that Ambari supports
Date Thu, 17 Mar 2016 12:37:03 GMT

Zhaowei,

Ambari and Hadoop use Kerberos V5.  When enabling Kerberos via Ambari, the MIT Kerberos client
packages will be installed.  The version of theses packages is different depending on the
OS.  For example, on a CentOS6 host, the package version will be 1.10.3:

Name        : krb5-workstation
Arch        : x86_64
Version     : 1.10.3
Release     : 42.el6
Size        : 1.0 M
Repo        : installed
From repo   : base
Summary     : Kerberos 5 programs for use on workstations
URL         : http://web.mit.edu/kerberos/www/
License     : MIT
Description : Kerberos is a network authentication system. The krb5-workstation
            : package contains the basic Kerberos programs (kinit, klist, kdestroy,
            : kpasswd). If your network uses Kerberos, this package should be
            : installed on every workstation.

On CentOS7, the package version will be 1.13.2:

Name        : krb5-workstation
Arch        : x86_64
Version     : 1.13.2
Release     : 10.el7
Size        : 765 k
Repo        : base/7/x86_64
Summary     : Kerberos 5 programs for use on workstations
URL         : http://web.mit.edu/kerberos/www/
License     : MIT
Description : Kerberos is a network authentication system. The krb5-workstation
            : package contains the basic Kerberos programs (kinit, klist,
            : kdestroy, kpasswd). If your network uses Kerberos, this package
            : should be installed on every workstation.


You can see the docs at http://web.mit.edu/kerberos/krb5-1.13/doc/index.html.

Regarding the KDC… it is not installed by Ambari but the client that is installed will work
with at least the MIT KDC, Active Directory, and IPA.

I hope this helps.

Rob




From: Zhao Wei ZW Shen <shenzwei@cn.ibm.com<mailto:shenzwei@cn.ibm.com>>
Reply-To: "user@ambari.apache.org<mailto:user@ambari.apache.org>" <user@ambari.apache.org<mailto:user@ambari.apache.org>>
Date: Thursday, March 17, 2016 at 5:13 AM
To: "user@ambari.apache.org<mailto:user@ambari.apache.org>" <user@ambari.apache.org<mailto:user@ambari.apache.org>>
Subject: Kerveros version that Ambari supports


Hello~

I wanna enable Kerberos on my Ambari Cluster. Can anyone tell me the Kerberos version that
Ambari supports?
It seems Ambari will uses 1.10.3 by default.


Regards,
Zhaowei Shen
Mime
View raw message